std::invalid_argument(3)

NAME
std::invalid_argument

SYNOPSIS

Inherits std::logic_error.

  Public Member Functions
invalid_argument (const char *) _GLIBCXX_TXN_SAFE
invalid_argument (const invalid_argument &)=default
invalid_argument (const string &__arg) _GLIBCXX_TXN_SAFE
invalid_argument (invalid_argument &&)=default
invalid_argument & operator= (const invalid_argument &)=default
invalid_argument & operator= (invalid_argument &&)=default
virtual const char * what () const noexcept

Detailed Description

Thrown to report invalid arguments to functions.

Definition at line 168 of file stdexcept.

Author

Generated automatically by Doxygen for libstdc++ from the source code.